Subject: Re: termios control in cygwin
From: Chris Faylor <[email-masked]>
To: Philippe Noel <[email-masked]>
Cc: Svein Erling Seldal <[email-masked]>, Cygwin-List <[email-masked]>
Date: Wed, 11 Aug 1999 16:00:40 -0400

On Mon, Aug 09, 1999 at 03:03:42PM -0400, Philippe Noel wrote:
>> I'm trying to access the serial/console port from a gcc/cygwin
>> program. I've discovered that cygwin never returns on reads (when
>> there's no char input of course), even when struct termio's
>> c_cc[VTIME] is set to a positive integer. I suppose this is a bug -
>> does anyone have a clue?
>>
>
>I'm really interested for ANY answers about this.  I've exactly the same
>problem.  My application seems to stick in the read function.  Anybody ever
>experienced this?
>
>I tried downloading the latest cygwin1.dll, but it makes my applications
>print error messages about the dll version, and stop.
>
>Any other idea?

Yes.  Only use one version of the DLL on your system.  That's what the
error message was trying to tell you.  Rename the older DLL to something
besides cygwin1.dll.

cgf

--
Want to unsubscribe from this list?
Send a message to [email-masked]